=== debian/changelog ===
nheko (0.6.1-3) unstable; urgency=medium

  * debian/rules: make cmake write to a dummy home directory. (Closes:
    #914065)

 -- Hubert Chathi <uhoreg@debian.org>  Tue, 20 Nov 2018 10:08:17 -0500

nheko (0.6.1-2) unstable; urgency=medium

  * debian/control: fix build-depends. (Closes: #913890)

 -- Hubert Chathi <uhoreg@debian.org>  Fri, 16 Nov 2018 11:24:13 -0500

nheko (0.6.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #908101)
  * debian/control:
    * Update maintainer address. (Closes: #908089)
    * Add new build-depends, and sort the build-depends list.
  * debian/patches/*: Removed some no-longer-needed files, and moved a
    patch

 -- Hubert Chathi <uhoreg@debian.org>  Wed, 26 Sep 2018 19:17:51 -0400
