=== debian/control ===
Source: nheko
Section: net
Priority: optional
Maintainer: Matrix Packaging Team <pkg-matrix-maintainers@alioth-lists.debian.net>
Uploaders: Hubert Chathi <uhoreg@debian.org>
Build-Depends: cmake (>= 3.1)
 , debhelper (>=9)
 , dh-exec
 , g++ (>= 4:7)
 , libboost-dev (>= 1.66) | libboost1.67-dev
 , libboost-atomic-dev | libboost-atomic1.67-dev
 , libboost-chrono-dev | libboost-chrono1.67-dev
 , libboost-date-time-dev | libboost-date-time1.67-dev
 , libboost-iostreams-dev | libboost-iostreams1.67-dev
 , libboost-random-dev | libboost-random1.67-dev
 , libboost-regex-dev | libboost-regex1.67-dev
 , libboost-system-dev | libboost-system1.67-dev
 , libboost-thread-dev | libboost-thread1.67-dev
 , libcmark-dev
 , liblmdb++-dev
 , libolm-dev
 , libqt5svg5-dev
 , libspdlog-dev
 , libsodium-dev
 , libssl-dev
 , libtweeny-dev
 , ninja-build
 , nlohmann-json3-dev
 , qtbase5-dev (>= 5.7)
 , qtmultimedia5-dev
 , qttools5-dev
Standards-Version: 3.9.8
Homepage: https://github.com/mujx/nheko
Vcs-Git: https://salsa.debian.org/matrix-team/nheko.git
Vcs-Browser: https://salsa.debian.org/matrix-team/nheko

Package: nheko
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ca-certificates
Description: desktop IM client for the Matrix protocol
 Nheko is a Qt-based chat client for Matrix, an open, federated communications
 protocol.  The motivation behind the project is to provide a native desktop
 app for Matrix that feels more like a mainstream chat app and less like an IRC
 client.
