## nheko 0.6.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1)
+cmake_minimum_required(VERSION 3.11)
 
 option(APPVEYOR_BUILD "Build on appveyor" OFF)
 option(ASAN "Compile with address sanitizers" OFF)
@@ -16,7 +16,7 @@
 project(nheko LANGUAGES C CXX)
 set(CPACK_PACKAGE_VERSION_MAJOR "0")
 set(CPACK_PACKAGE_VERSION_MINOR "6")
-set(CPACK_PACKAGE_VERSION_PATCH "1")
+set(CPACK_PACKAGE_VERSION_PATCH "3")
 set(PROJECT_VERSION_MAJOR ${CPACK_PACKAGE_VERSION_MAJOR})
 set(PROJECT_VERSION_MINOR ${CPACK_PACKAGE_VERSION_MINOR})
 set(PROJECT_VERSION_PATCH ${CPACK_PACKAGE_VERSION_PATCH})
@@ -113,6 +113,13 @@
     endif()
 endif()
 
+if (MSVC)
+  set(
+      CMAKE_CXX_FLAGS
+      "${CMAKE_CXX_FLAGS} /bigobj"
+  )
+endif()
+
 if(NOT (CMAKE_BUILD_TYPE OR CMAKE_CONFIGURATION_TYPES))
     set(CMAKE_BUILD_TYPE "Debug" CACHE STRING
         "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
@@ -121,6 +128,17 @@
 else(NOT (CMAKE_BUILD_TYPE OR CMAKE_CONFIGURATION_TYPES))
     message("Build type set to '${CMAKE_BUILD_TYPE}'")
 endif(NOT (CMAKE_BUILD_TYPE OR CMAKE_CONFIGURATION_TYPES))
+
+set(SPDLOG_DEBUG_ON false)
+
+# Windows doesn't handle CMAKE_BUILD_TYPE.
+if(NOT WIN32)
+    if(${CMAKE_BUILD_TYPE} STREQUAL "Debug")
+        set(SPDLOG_DEBUG_ON true)
+    else()
+        set(SPDLOG_DEBUG_ON false)
+    endif()
+endif()
 
 find_program(GIT git)
 if(GIT)
@@ -143,7 +161,7 @@
 
 cmake_host_system_information(RESULT BUILD_HOST QUERY HOSTNAME)
 set(BUILD_USER $ENV{USER})
-configure_file(cmake/version.h config/version.h)
+configure_file(cmake/nheko.h config/nheko.h)
 
 
 #
@@ -189,13 +207,13 @@
     src/ui/FloatingButton.cpp
     src/ui/Label.cpp
     src/ui/OverlayModal.cpp
-    src/ui/ScrollBar.cpp
     src/ui/SnackBar.cpp
     src/ui/RaisedButton.cpp
     src/ui/Ripple.cpp
     src/ui/RippleOverlay.cpp
     src/ui/OverlayWidget.cpp
     src/ui/TextField.cpp
+    src/ui/TextLabel.cpp
     src/ui/ToggleButton.cpp
     src/ui/Theme.cpp
     src/ui/ThemeManager.cpp
@@ -273,8 +291,10 @@
 include_directories(SYSTEM ${TWEENY_INCLUDE_DIR})
 
 include_directories(${CMAKE_SOURCE_DIR}/src)
-include_directories(${CMAKE_CURRENT_BINARY_DIR}/config)
 include_directories(${Boost_INCLUDE_DIRS})
+
+# local inclue directory
+include_directories(includes)
 
 qt5_wrap_cpp(MOC_HEADERS
     # Dialogs
@@ -317,12 +337,12 @@
     src/ui/FloatingButton.h
     src/ui/Menu.h
     src/ui/OverlayWidget.h
-    src/ui/ScrollBar.h
     src/ui/SnackBar.h
     src/ui/RaisedButton.h
     src/ui/Ripple.h
     src/ui/RippleOverlay.h
     src/ui/TextField.h
+    src/ui/TextLabel.h
     src/ui/ToggleButton.h
     src/ui/Theme.h
     src/ui/ThemeManager.h
@@ -422,5 +442,3 @@
 
 if(UNIX AND NOT APPLE)
     install (TARGETS nheko RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}")
-    install (FILES "resources/nheko-16.png" DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/16x16/apps" RENAME "nheko.png")
-    install (FILES "resources/nheko-32.png" DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/32x32/apps" RENAME "nheko.png")
