=== deps/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1)
+cmake_minimum_required(VERSION 3.11)
 project(NHEKO_DEPS)
 
 # Point CMake at any custom modules we may ship
@@ -30,6 +30,11 @@
 option(USE_BUNDLED_MATRIX_CLIENT "Use the bundled version of mtxclient."
        ${USE_BUNDLED})
 
+if(USE_BUNDLED_BOOST)
+  # bundled boost is 1.68, which requires CMake 3.12 or greater.
+  cmake_minimum_required(VERSION 3.12)
+endif()
+
 include(ExternalProject)
 
 set(BOOST_URL
@@ -39,10 +44,10 @@
 
 set(
   MTXCLIENT_URL
-  https://github.com/mujx/mtxclient/archive/99ca7480d15a82a7b8c5099be5f076c0ceecc9f7.tar.gz
+  https://github.com/Nheko-Reborn/mtxclient/archive/8659d011f93cad63de34a79f9b0543705d5da825.tar.gz
   )
 set(MTXCLIENT_HASH
-    e88a8c4473b6bc37c046779ea2345da00abb88a755447b9ac77ed76c89975e9d)
+  7857a16cd2dd9c42ab51a8c188f4c60ca318eabbd6f7fd5db6815e60ef1cd3ad)
 
 set(
   TWEENY_URL
