=== debian/changelog ===
nheko (0.6.3-2) unstable; urgency=medium

  * Support v3 rooms (Closes: #926671)
  * debian/rules: clean up fakehome (Closes: #926680)
  * debian/README.source: fix filename (Closes: #926659)

 -- Hubert Chathi <uhoreg@debian.org>  Mon, 22 Apr 2019 14:42:00 -0400

nheko (0.6.3-1) unstable; urgency=medium

  * New upstream release.
    * Project is no longer dead. (Closes: #913726)
    * Update files to point to new upstream location.
    * Update copyright file.

 -- Hubert Chathi <uhoreg@debian.org>  Fri, 08 Feb 2019 15:35:59 -0500
