=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 	#
 
 override_dh_auto_clean:
-	rm -rf .deps build
+	rm -rf .deps build fakehome
 
 make-orig-source: VERSION = `dpkg-parsechangelog | grep ^Version | sed 's/Version: \(.*\)-[^-]*/\1/'`
 make-orig-source:
