=== debian/changelog ===
nheko (0.6.3.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Matrix Packaging Team <pkg-matrix-maintainers@alioth-lists.debian.net>  Thu, 28 Jan 2021 19:55:24 +0800
